Subject: Re: bug#29150: Fwd: 26.0.90; Input decoding is sometimes skipped in TTY (xterm-mouse-mode)

From: Olaf Rogalsky <[email-masked]>
Date: Mon, 13 Nov 2017 19:14:24 +0100

Eli Zaretskii writes:
>> From: Alex <[email-masked]>
>> Cc: Olaf Rogalsky <[email-masked]>,  [email-masked], Stefan Monnier <[email-masked]>
>> Date: Sun, 12 Nov 2017 02:25:22 -0600
>> 
>> > Thanks, I installed that patch on the release branch.
>> 
>> Should it use `read-key' instead?
>
> If that does TRT for xt-mouse, I'm okay with doing that.  But please
> wait for Olaf to respond, it's his code after all.
Yes, it does TRT. I wasn't aware of read-key and have a better
understanding of what read-key-event is doing. But using (read-key)
instead of (aref (read-event-vector nil) 0) seems to work equally well.

>> Perhaps the patch should be replaced on the master branch with one that
>> uses `read-key' in all cases?
>
> Why the rush?
I personally have no urgent desires.

>> > Btw, it seems like "C-h k" is not really working for complex mouse
>> > clicks even without xterm-mouse-mode.  For example, try this:
>> >
>> >   C-h k C-mouse-3
>> >
>> > This pops up a menu; select any item from that menu.  The expected
>> > result is to get the description of the menu item you selected, but
>> > instead you get the prompt for "following key, mouse click, or menu
>> > item" anew.
>> 
>> This worked fine in Emacs 25.2, FWIW.
Hmm interesting.  There are quite a few differences between 25.2 and now
in mouse.el.

-- 
Olaf Rogalsky
Schwörhausgasse 5
89073 Ulm
Germany